      SUBROUTINE AQ2INI
     I                  (MESSFL)
C
C     + + + PURPOSE + + +
C     routine to initialize aqual2 common to default values
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER   MESSFL
C
C     + + + ARGUMENT DEFINITIONS + + +
C     MESSFL - Fortran unit number for message file
C
C     + + + COMMON BLOCKS + + +
      INCLUDE 'CQ2VAL.INC'
C
C     + + + LOCAL VARIABLES + + +
      INTEGER     I,I0,I1,I2,INONE,SCLU,SGRP,LEN
      REAL        R0,RNONE
      CHARACTER*1 NO(3),BLNK
C
C     + + + EXTERNALS + + +
      EXTERNAL    ZIPI, ZIPR, ZIPC, GETTXT
C
C     + + + DATA INITIALIZATIONS + + +
      DATA BLNK,NO/' ','N','O',' '/
      DATA I0,I1,I2,INONE,R0,RNONE/0,1,2,-999,0.,-999./
C
C     + + + END SPECIFICATIONS + + +
C
C     titles
      I= 59
      CALL ZIPC (I,BLNK,QTITLE)
      CALL ZIPC (I,BLNK,BNAME)
C     form 1
      I= 16
      CALL ZIPC (I,BLNK,CNAME)
      CALL ZIPC (I,BLNK,CUNITS)
      DO 10 I= 1,11
        CSOPT(1,I)= NO(1)
        CSOPT(2,I)= NO(2)
        CSOPT(3,I)= NO(3)
 10   CONTINUE
      I= 11
      CALL ZIPI (I,INONE,NSOPT)
      BODOPT= 1
C
C     form 2
      I= 7
      CALL ZIPI (I,I2,NPOPT)
      NPOPT(1)= 1
      NPOPT(4)= 1
      I= 3
      CALL ZIPI (I,I2,PCIVL)
      I= 4
      CALL ZIPI (I,INONE,PCIVL(4))
      PCRVL(1) = 0.
      PCRVL(2) = 1.
      PCRVL(3) = 30.
      PCRVL(4) = 0.
      PCRVL(5) = 34.
      PCRVL(6) = 85.
      PCRVL(7) = 75.
      PCRVL(8) = 180.
      PCRVL(9) = 0.00103
      PCRVL(10)= 0.00016
      PCRVL(11)= 1000.
      PCRVL(12)= 0.06
      PCRVL(13)= 0.23
C
C     form 3
      GPARM(1) = 3.43
      GPARM(2) = 1.14
      GPARM(3) = 1.6
      GPARM(4) = 2.0
      GPARM(5) = 0.085
      GPARM(6) = 0.014
      GPARM(7) = 2.5
      GPARM(8) = 0.05
      GPARM(9) = 0.2
      GPARM(10)= 0.04
      GPARM(11)= 0.00075
      GPARM(12)= 0.0
      GPARM(13)= 1.0
      GPARM(14)= 0.11
      GPARM(15)= 2.0
      GPARM(16)= 0.92
      GPARM(17)= 14.0
      GPARM(18)= 1300.0
      GPARM(19)= 2.0
      GPARM(20)= 0.9
      GPARM(21)= 0.44
      GPARM(22)= 10.0
C
C     form 4
      I= 20
      CALL ZIPR (I,R0,THEVAL)
      THEVAL(1) = 1.047
      THEVAL(2) = 1.024
      THEVAL(3) = 1.024
      THEVAL(4) = 1.060
      THEVAL(5) = 1.047
      THEVAL(6) = 1.024
      THEVAL(7) = 1.083
      THEVAL(8) = 1.074
      THEVAL(9) = 1.047
      THEVAL(10)= 1.047
      THEVAL(11)= 1.024
      THEVAL(12)= 1.074
      THEVAL(13)= 1.047
      THEVAL(14)= 1.047
      THEVAL(15)= 1.024
      THEVAL(16)= 1.047
      THEVAL(17)= 1.000
      THEVAL(18)= 1.024
      THEVAL(19)= 1.000
      CALL ZIPI (I,I0,THEIND)
C     read in THETA names
      SCLU= 6
      SGRP= 94
      LEN = 80
      CALL GETTXT (MESSFL,SCLU,SGRP,LEN,NTHET)
      SGRP= 95
      LEN = 72
      CALL GETTXT (MESSFL,SCLU,SGRP,LEN,NTHET(1,11))
C
C     form 5
      I= MXRCH* 3
      CALL ZIPR (I,RNONE,DAT2)
      DO 20 I= 1,MXRCH
        DAT2(1,I)= I
 20   CONTINUE
      I= MXRCH* 16
      CALL ZIPC (I,BLNK,RCHNAM)
C
C     form 6
      CALL ZIPI (MXRCH,I0,DAT3I)
      I= MXRCH*8
      CALL ZIPR (I,R0,DAT3R)
      DO 30 I= 1,MXRCH
        DAT3R(1,I)= I
        DAT3R(2,I)= 5.0
 30   CONTINUE
C
C     form 7
      CALL ZIPI (MXRCH,I0,NCMPEL)
      I= MXRCH*20
      CALL ZIPI (I,I2,CMPELF)
C
C     form 8
      DO 40 I= 1,MXRCH
        DAT5(1,I)= I
        DAT5(2,I)= 60.0
        DAT5(3,I)= 0.0
        DAT5(4,I)= 0.4
        DAT5(5,I)= 0.0
        DAT5(6,I)= 0.6
        DAT5(7,I)= 0.02
 40   CONTINUE
C
C     form 8a
      I= MXRCH* 8
      CALL ZIPR (I,R0,DAT5A)
      DO 50 I= 1,MXRCH
        DAT5A(1,I)= I
        DAT5A(2,I)= 1000.0
        DAT5A(3,I)= 0.06
        DAT5A(4,I)= 0.3
        DAT5A(5,I)= 70.0
        DAT5A(6,I)= 60.0
        DAT5A(7,I)= 29.9
        DAT5A(8,I)= 0.0
 50   CONTINUE
C
C     form 9
      I= MXRCH* 8
      CALL ZIPR (I,R0,DAT6)
      DO 60 I= 1,MXRCH
        DAT6(1,I)= I
        DAT6(2,I)= 0.23
        DAT6(5,I)= 3.0
 60   CONTINUE
C
C     form 10
      I= MXRCH* 9
      CALL ZIPR (I,R0,DAT6A)
      DO 70 I= 1,MXRCH
        DAT6A(1,I)= I
        DAT6A(2,I)= 0.2
        DAT6A(4,I)= 0.2
        DAT6A(6,I)= 2.0
 70   CONTINUE
C
C     form 11
      I= MXRCH* 8
      CALL ZIPR (I,R0,DAT6B)
      DO 80 I= 1,MXRCH
        DAT6B(1,I)= I
        DAT6B(2,I)= 10.0
        DAT6B(3,I)= 0.6
        DAT6B(4,I)= 0.04
 80   CONTINUE
C
C     form 12
      I= MXRCH* 9
      CALL ZIPR (I,R0,DAT7)
      DO 90 I= 1,MXRCH
        DAT7(1,I)= I
        DAT7(2,I)= 70.0
 90   CONTINUE
C
C     form 13
      I= MXRCH* 8
      CALL ZIPR (I,R0,DAT7A)
      DO 95 I= 1,MXRCH
        DAT7A(1,I)= I
 95   CONTINUE
C
C     form 14
      I= MXRCH* 10
      CALL ZIPR (I,R0,DAT8)
      DO 100 I= 1,MXRCH
        DAT8(1,I)= I
        DAT8(3,I)= 70.0
 100  CONTINUE
C
C     form 15
      I= MXRCH* 8
      CALL ZIPR (I,R0,DAT8A)
      DO 105 I= 1,MXRCH
        DAT8A(1,I)= I
 105  CONTINUE
C
C     form 16
      I= MXJUN* 16
      CALL ZIPC (I,BLNK,JUNNAM)
      I= MXJUN* 4
      CALL ZIPR (MXJUN,RNONE,DAT9)
      DO 110 I= 1,MXJUN
        DAT9(1,I)= I
 110  CONTINUE
C
C     form 17
      I= MXHDW* 16
      CALL ZIPC (I,BLNK,HDWNAM)
      I= MXHDW* 8
      CALL ZIPR (I,R0,DAT10)
      DO 120 I= 1,MXHDW
        DAT10(1,I)= I
        DAT10(3,I)= 70.0
 120  CONTINUE
C
C     form 18
      I= MXHDW* 10
      CALL ZIPR (I,R0,DAT10A)
      DO 125 I= 1,MXHDW
        DAT10A(1,I)= I
 125  CONTINUE
C
C     form 19
      I= MXPTL* 12
      CALL ZIPC (I,BLNK,PTLNAM)
      I= MXPTL* 9
      CALL ZIPR (I,R0,DAT11)
      DO 130 I= 1,MXPTL
        DAT11(1,I)= I
        DAT11(4,I)= 70.0
 130  CONTINUE
C
C     form 20
      I= MXPTL* 10
      CALL ZIPR (I,R0,DAT11A)
      DO 135 I= 1,MXPTL
        DAT11A(1,I)= I
 135  CONTINUE
C
C     form 21
      I= MXDAM* 7
      CALL ZIPR (I,R0,DAT12)
      DO 140 I= 1,MXDAM
        DAT12(1,I)= I
        DAT12(3,I)= RNONE
        DAT12(4,I)= 1.25
        DAT12(5,I)= 1.0
 140  CONTINUE
C
C     form 22
      I= 8
      CALL ZIPR (I,R0,DAT13)
      DAT13(1)= 70.0
      I= 7
      CALL ZIPR (I,R0,DAT13A)
C
C     form 23
      CLDAT(1,I)= 0.0
      CLDAT(2,I)= 0.3
      CLDAT(3,I)= 60.0
      CLDAT(4,I)= 60.0
      CLDAT(5,I)= 29.9
      CLDAT(6,I)= 0.0
C
C     form 24
      NUMPLT= 0
      CALL ZIPI (MXPLT,I0,PLTSTR)
      I= MXPLT* MXRCH
      CALL ZIPI (I,I0,PLTRCH)
C
      RETURN
      END
